Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Installing .NET Core 3.0 on Linux ARM64

Installing .NET Core on Linux ARM64

The following intructions can be used to install .NET Core on Linux ARM64.

Pro tip: Check out .NET Core Docker files to determine the exact instructions for installing .NET Core builds, for example .NET Core 3.1 ARM32 SDK Dockerfile.

Installing .NET Core Globally

The following instructions install the latest .NET Core globally. It isn't required to do that, but it provides the best experience.

curl -SL -o dotnet.tar.gz https://dotnetcli.blob.core.windows.net/dotnet/Sdk/master/dotnet-sdk-latest-linux-arm64.tar.gz
sudo mkdir -p /usr/share/dotnet
sudo tar -zxf dotnet.tar.gz -C /usr/share/dotnet
sudo ln -s /usr/share/dotnet/dotnet /usr/bin/dotnet

Dependencies

.NET Core has the following dependencies, on Ubuntu (other distros will vary):

  • libc6
  • libgcc1
  • libgssapi-krb5-2
  • libicu60
  • liblttng-ust0
  • libssl1.0.0
  • libstdc++6
  • zlib1g

Trying out .NET Core

The following steps can be used to try out .NET Core.

dotnet new console -o app
cd app
dotnet run

Other software

@ksandaru
Copy link

ksandaru commented Jul 9, 2022

DO anyone know the supported .Net core version and how it can be installed on Raspberry pi 3 model B 64bit ARM running with Raspbian os 11?
I already installed .Net core 6.0, but CLI can not identify it when I run

dotnet

@richlander
Copy link
Author

richlander commented Jul 9, 2022

Can you open an issue at dotnet/sdk and CC me?

@ksandaru
Copy link

ksandaru commented Jul 9, 2022

Can you open an issue at dotnet/sdk and CC me?

Sure. Thanks

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment